Bug 606790 - virt-install ends with traceback when libvirtd is not running
Summary: virt-install ends with traceback when libvirtd is not running
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-virtinst
Version: 13
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Cole Robinson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-06-22 14:00 UTC by Daniel Mach
Modified: 2010-09-14 04:55 UTC (History)
4 users (show)

Fixed In Version: python-virtinst-0.500.4-1.fc14
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-09-04 04:57:40 UTC


Attachments (Terms of Use)
proposed patch (520 bytes, patch)
2010-06-22 14:03 UTC, Daniel Mach
no flags Details | Diff

Description Daniel Mach 2010-06-22 14:00:57 UTC
Version-Release number of selected component (if applicable):
python-virtinst-0.500.3-1.fc13.noarch


Steps to Reproduce:
1. /etc/init.d/libvirtd stop
2. create a VM using virt-install

  
Actual results:
ERROR    unable to connect to '/var/run/libvirt/libvirt-sock', libvirtd may need to be started: Connection refused
Traceback (most recent call last):
  File "/usr/sbin/virt-install", line 1054, in <module>
    main()
  File "/usr/sbin/virt-install", line 810, in main
    conn = cli.getConnection(options.connect)
  File "/usr/lib/python2.6/site-packages/virtinst/cli.py", line 217, in getConnection
    conn = open_connection(connect)
  File "/usr/lib/python2.6/site-packages/virtinst/cli.py", line 232, in open_connection
    open_flags)
  File "/usr/lib/python2.6/site-packages/libvirt.py", line 111, in openAuth
    if ret is None:raise libvirtError('virConnectOpenAuth() failed')
libvirtError: unable to connect to '/var/run/libvirt/libvirt-sock', libvirtd may need to be started: Connection refused


Expected results:
ERROR: unable to connect to '/var/run/libvirt/libvirt-sock', libvirtd may need to be started: Connection refused

Comment 1 Daniel Mach 2010-06-22 14:03:03 UTC
Created attachment 425931 [details]
proposed patch

Comment 2 Cole Robinson 2010-08-23 19:41:57 UTC
Thanks for the patch, but I've pushed a more comprehensive fix upstream:

http://hg.fedorahosted.org/hg/python-virtinst/rev/1ce01e8c1ea4

Basically we had this traceback type problem with lots of errors, so this change should cover most of the bases.

Comment 3 Fedora Update System 2010-08-25 20:36:23 UTC
python-virtinst-0.500.4-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/python-virtinst-0.500.4-1.fc13

Comment 4 Fedora Update System 2010-08-25 20:38:30 UTC
python-virtinst-0.500.4-1.fc14 has been submitted as an update for Fedora 14.
http://admin.fedoraproject.org/updates/python-virtinst-0.500.4-1.fc14

Comment 5 Fedora Update System 2010-08-26 00:59:53 UTC
python-virtinst-0.500.4-1.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update python-virtinst'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/python-virtinst-0.500.4-1.fc13

Comment 6 Fedora Update System 2010-09-04 04:57:30 UTC
python-virtinst-0.500.4-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2010-09-14 04:55:08 UTC
python-virtinst-0.500.4-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.